'use strict';
typeof CeL === 'function' && CeL.run({
	// name/id.
	name : 'extension.parent1',
	// dependency.
	require : 'extension.loop1.loop1_function|extension.loop2.',
	// source code.
	code : function() {
		var library_namespace = this.base,
		// requiring
		loop1_function = this.r('loop1_function');

		var _ = function() {
			//	null module constructor
		};

		_.parent1_function = function(caller) {
			loop1_function(caller || 'parent1_function');
			library_namespace.loop2_function(caller || 'parent1_function');
		};

		// for inherit.
		_.grant = function(subclass) {
		};

		return _;
	}
});
